Bug 1484474 - Bootloader install fails on ppc64(le) since grub2-2.02-8, with "error: not a HFS+ filesystem."
Summary: Bootloader install fails on ppc64(le) since grub2-2.02-8, with "error: not a ...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 28
Hardware: ppc64
OS: All
unspecified
urgent
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2017-08-23 17:08 UTC by Adam Williamson
Modified: 2019-05-21 22:07 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-05-21 22:07:46 UTC


Attachments (Terms of Use)
program.log from an install that hit the bug (with grub2 -10) (39.06 KB, text/plain)
2017-08-23 17:11 UTC, Adam Williamson
no flags Details
storage.log from an install that hit the bug (with grub2 -10) (107.82 KB, text/plain)
2017-08-23 17:13 UTC, Adam Williamson
no flags Details
program.log from an install that did NOT hit the bug (with grub2 -7) (39.43 KB, text/plain)
2017-08-23 17:13 UTC, Adam Williamson
no flags Details
storage.log from an install that did NOT hit the bug (with grub2 -7) (107.88 KB, text/plain)
2017-08-23 17:14 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2017-08-23 17:08:42 UTC
When installing on ppc64(le) with recent Rawhide and Fedora 27 composes, bootloader install always fails. program.log shows:

08:52:12,037 INF program: Running... grub2-install --no-nvram --no-floppy /dev/vda1
08:52:12,386 INF program: Installing for powerpc-ieee1275 platform.
08:52:12,387 INF program: grub2-install: error: not a HFS+ filesystem.
08:52:12,388 DBG program: Return code: 1

Note, /dev/vda1 is a PPC PReP boot partition (per storage.log).

It looks like this broke between grub2-2.02-7 and grub2-2.02-10; it's very likely it broke in grub2-2.02-8, which bumped to a newer 'upstream' (i.e. a bunch of new patch files).

The program.log from a successful install on a compose that included the -7 package looks like this:

20:31:04,505 INF program: Running... grub2-install --no-nvram --no-floppy /dev/vda1
20:31:04,838 INF program: Installing for powerpc-ieee1275 platform.
20:31:04,840 INF program: Installation finished. No error reported.

so the detected platform hasn't changed, but -7 was happy installing to a PReP boot partition, while -10 (probably -8) is not. Perhaps some upstream change erroneously assumes all powerpcs are also Macs?

Comment 1 Adam Williamson 2017-08-23 17:11 UTC
Created attachment 1317168 [details]
program.log from an install that hit the bug (with grub2 -10)

Comment 2 Adam Williamson 2017-08-23 17:13 UTC
Created attachment 1317169 [details]
storage.log from an install that hit the bug (with grub2 -10)

Comment 3 Adam Williamson 2017-08-23 17:13 UTC
Created attachment 1317170 [details]
program.log from an install that did NOT hit the bug (with grub2 -7)

Comment 4 Adam Williamson 2017-08-23 17:14 UTC
Created attachment 1317171 [details]
storage.log from an install that did NOT hit the bug (with grub2 -7)

Comment 5 Michel Normand 2017-08-28 06:47:48 UTC
Unable to validate the proposed correction because
with last composes Rawhide and F27  20170827  most probably packaging error because iso boot failed as per https://openqa.stg.fedoraproject.org/tests/150260#step/_do_install_and_reboot/18

Comment 6 Adam Williamson 2017-08-30 20:32:32 UTC
Yeah, there was another round of grub2 / shim package naming issues. We *hope* the next compose that actually manages to complete (there was also another round of weirdness on the compose hosts...) will have all the issues solved at last.

Comment 7 Michel Normand 2017-09-01 07:39:04 UTC
correction of this bug validated on openQA with Rawhide compose 20170830

Comment 8 Fedora End Of Life 2018-02-20 15:33:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 9 Ben Cotton 2019-05-02 22:03:20 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Adam Williamson 2019-05-21 22:07:46 UTC
Per #c7, this was fixed.


Note You need to log in before you can comment on or make changes to this bug.